View Issue Details

IDProjectCategoryView StatusLast Update
0020419LazarusIDEpublic2015-02-05 04:28
ReporterKarl-Michael SchindlerAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0020419: svn revision 31276 breaks building gtk2 version on Mac OS X
Descriptionwhen going from revision 31275 to 31276 building the gtk2 version on Mac OS X is broken.

Command for building:

make all LCL_PLATFORM=gtk2 OPT="-gw -dHasX -Fl/sw/lib/pango-ft219/lib/"

results in this error:


Compiling lazarus.pp
Compiling lazconf.pp
Assembling (pipe) ../units/i386-darwin/lazconf.s
Compiling idecmdline.pas
Compiling lazarusidestrconsts.pas
Writing Resource String Table file: lazarusidestrconsts.rst
Assembling (pipe) ../units/i386-darwin/lazarusidestrconsts.s
Fatal: Can't find unit CarbonProc used by IDECmdLine
Fatal: Compilation aborted

After a "make lcl LCL_PLATFORM=carbon OPT="-gw"", with the command, where i added the carbon directory, lazarus is build.

make all LCL_PLATFORM=gtk2 OPT="-gw -dHasX -Fl/sw/lib/pango-ft219/lib/ -Fu../lcl/units/i386-darwin/carbon"

The additional use of CarbonProc in ide/idecmdline.pas causes it.
TagsNo tags attached.
Fixed in Revision32714
LazTarget0.99.0
WidgetsetGTK 2
Attached Files

Activities

Felipe Monteiro de Carvalho

2011-10-06 08:52

developer   ~0052614

This is the revision:

http://svn.freepascal.org/cgi-bin/viewvc.cgi?view=rev&root=lazarus&revision=31276

But the code then got moved to ide/ideguicmdline.pas

Karl-Michael Schindler

2015-02-05 04:28

reporter   ~0080797

Thanks for fixing.

Issue History

Date Modified Username Field Change
2011-10-05 17:51 Karl-Michael Schindler New Issue
2011-10-05 17:51 Karl-Michael Schindler Widgetset => GTK 2
2011-10-05 18:37 Vincent Snijders LazTarget => 0.99.0
2011-10-05 18:37 Vincent Snijders Assigned To => Mattias Gaertner
2011-10-05 18:37 Vincent Snijders Status new => assigned
2011-10-05 18:37 Vincent Snijders Target Version => 0.99.0
2011-10-06 08:50 Felipe Monteiro de Carvalho Assigned To Mattias Gaertner => Felipe Monteiro de Carvalho
2011-10-06 08:52 Felipe Monteiro de Carvalho Note Added: 0052614
2011-10-06 08:53 Felipe Monteiro de Carvalho Fixed in Revision => 32714
2011-10-06 08:53 Felipe Monteiro de Carvalho Status assigned => resolved
2011-10-06 08:53 Felipe Monteiro de Carvalho Fixed in Version => 0.9.31 (SVN)
2011-10-06 08:53 Felipe Monteiro de Carvalho Resolution open => fixed
2015-02-05 04:28 Karl-Michael Schindler Note Added: 0080797
2015-02-05 04:28 Karl-Michael Schindler Status resolved => closed